<?php

declare(strict_types=1);

namespace Bot\Domain\Repository;

use Bot\Domain\Entity\Media;

interface MediaRepositoryInterface
{
    public function findById(int $id): ?Media;

    public function findByUuid(string $uuid): ?Media;

    /**
     * @return Media[]
     */
    public function findByFolderId(int $folderId): array;

    public function save(Media $media): void;

    public function delete(int $id): void;
}



